summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRick Farina (Zero_Chaos) <zerochaos@gentoo.org>2019-07-03 12:20:22 -0400
committerRick Farina (Zero_Chaos) <zerochaos@gentoo.org>2019-07-03 12:20:22 -0400
commit13611461754cb0e974d5a2f0d926c970cc2bdb1f (patch)
tree09275f1cf3b8066578c97e2d88ee668aec783d5c
parentmaybe fix overrides for flags (diff)
downloadcatalyst-13611461754cb0e974d5a2f0d926c970cc2bdb1f.tar.gz
catalyst-13611461754cb0e974d5a2f0d926c970cc2bdb1f.tar.bz2
catalyst-13611461754cb0e974d5a2f0d926c970cc2bdb1f.zip
loopback is required, be sure to fail if it does
-rwxr-xr-xtargets/support/create-iso.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/targets/support/create-iso.sh b/targets/support/create-iso.sh
index 1b0f05e1..8338e301 100755
--- a/targets/support/create-iso.sh
+++ b/targets/support/create-iso.sh
@@ -261,7 +261,7 @@ case ${clst_hostarch} in
mkdir "${clst_target_path}/gentoo.efimg.mountPoint"
echo "Mounting FAT16 loopback file"
mount -t vfat -o loop "${clst_target_path}/gentoo.efimg" \
- "${clst_target_path}/gentoo.efimg.mountPoint"
+ "${clst_target_path}/gentoo.efimg.mountPoint" || die "Failed to mount EFI image file"
echo "Populating EFI image file from ${clst_target_path}/boot/EFI"
cp -rv "${clst_target_path}"/boot/EFI/ \